package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {
    HashMap<Student, Double> students = new HashMap<>();

    public void enroll(Student student) {
        students.put(student, 0.0);
    }

    public Boolean isEnrolled(Student student) {
        return students.containsKey(student);
    }

    public void lecture(double numberOfHours) {
        //students.forEach((student, aDouble) -> student.learn(numberOfHours));
        students.keySet().forEach(student -> student.learn(numberOfHours));
    }

    public Map<Student, Double> getStudyMap() {
        return students;
    }
}
