package rocks.zipcode.io.quiz4.fundamentals;

import java.util.ArrayList;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeEvaluator {
    public static String[] getAllPalindromes(String string) {
        ArrayList<String> arrList = new ArrayList<>();

        for (int i = 0; i < string.length() - 1; i++) {

            for (int j = string.length(); j > i ; j--) {

                if (isPalindrome(string.substring(i, j)) && !arrList.contains(string.substring(i,j))) {
                    arrList.add(string.substring(i, j));
                }
            }
        }

        return arrList.toArray(new String[arrList.size()]);
    }

    public static Boolean isPalindrome(String string) {
        return string.equals(reverseString(string));
    }

    public static String reverseString(String string) {
        String retString = "";
        for (int i = string.length() - 1; i >= 0 ; i--) {
            retString += string.charAt(i);
        }
        return retString;
    }
}
