package rocks.zipcode.io.quiz4.fundamentals;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author leon on 11/12/2018.
 */
public class StringEvaluator {
    public static String[] getAllPrefixes(String string) {
        ArrayList<String> arrList = new ArrayList<>();

        for (int i = 0; i < string.length(); i++) {
            for (int j = string.length(); j > i; j--) {
                if (!arrList.contains(string.substring(i, j))) {
                    arrList.add(string.substring(i, j));
                }
            }
        }
        return arrList.toArray(new String[arrList.size()]);
    }

    public static String[] getCommonPrefixes(String string1, String string2) {
        ArrayList<String> arr1 = new ArrayList<>(Arrays.asList(getAllPrefixes(string1)));
        ArrayList<String> arr2 = new ArrayList<>(Arrays.asList(getAllPrefixes(string2)));

        ArrayList<String> common = new ArrayList<>();

        for (String s: arr1) {
            if (arr2.contains(s) && !common.contains(s)) {
                common.add(s);
            }
        }
        return common.toArray(new String[common.size()]);
    }

    public static String getLargestCommonPrefix(String string1, String string2) {
        String longestString = "";
        String[] common = getCommonPrefixes(string1, string2);
        for (String s: common) {
            if(s.length() > longestString.length()){
                longestString = s;
            }
        }
        return longestString;
    }
}
