package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable {
    ArrayList<String> s = new ArrayList<>();

    public SimpleStringGroup() {
        // throw new UnsupportedOperationException("Method not yet implemented");
    }

    public Integer count() {
        return s.size();
    }

    public void insert(String string) {
        s.add(string);
    }

    public Boolean has(String valueToInsert) {
        if (s.contains(valueToInsert)){
            return true;
        }
        return false;
    }

    public String fetch(int indexOfValue) {
        return s.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        s.remove(valueToInsert);
    }

    public void clear() {
        s.clear();
    }

    @Override
    public Iterator iterator() {
        return s.iterator();
    }
}
